language-javascript-0.7.1.0: Parser for JavaScript

Safe Haskell | Safe-Inferred
Language | Haskell98

Language.JavaScript.Parser.SrcLocation

Synopsis

- data TokenPosn = TokenPn !Int !Int !Int
- tokenPosnEmpty :: TokenPosn

# Documentation

data TokenPosn Source #

`TokenPosn` records the location of a token in the input text. It has three fields: the address (number of characters preceding the token), line number and column of a token within the file. Note: The lexer assumes the usual eight character tab stops.

Constructors

TokenPn !Int !Int !Int |

#### Instances

Instances details

Data TokenPosn Source # |

Instance details

Defined in Language.JavaScript.Parser.SrcLocation

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> TokenPosn -> c TokenPosn Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c TokenPosn Source #

toConstr :: TokenPosn -> Constr Source #

dataTypeOf :: TokenPosn -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c TokenPosn) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c TokenPosn) Source #

gmapT :: (forall b. Data b => b -> b) -> TokenPosn -> TokenPosn Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> TokenPosn -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> TokenPosn -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> TokenPosn -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> TokenPosn -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> TokenPosn -> m TokenPosn Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> TokenPosn -> m TokenPosn Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> TokenPosn -> m TokenPosn Source #

Read TokenPosn Source # |
Instance details Defined in Language.JavaScript.Parser.SrcLocation Methods readsPrec :: Int -> ReadS TokenPosn Source # readList :: ReadS [TokenPosn] Source # readPrec :: ReadPrec TokenPosn Source # readListPrec :: ReadPrec [TokenPosn] Source #
Show TokenPosn Source # |
Instance details Defined in Language.JavaScript.Parser.SrcLocation Methods showsPrec :: Int -> TokenPosn -> ShowS Source # show :: TokenPosn -> String Source # showList :: [TokenPosn] -> ShowS Source #
Eq TokenPosn Source # |
Instance details Defined in Language.JavaScript.Parser.SrcLocation Methods (==) :: TokenPosn -> TokenPosn -> Bool Source # (/=) :: TokenPosn -> TokenPosn -> Bool Source #

tokenPosnEmpty :: TokenPosn Source #